package cn.com.ctop.toutiao.modules.report.service;

import cn.com.ctop.toutiao.modules.material.vo.BytedanceVideoVo;
import cn.com.ctop.toutiao.modules.report.entity.BytedanceReportMaterialDaily;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 素材报表
 * @author jeecg-boot
 * @date   2020-04-16
 * @version V1.0
 */
public interface IBytedanceReportMaterialDailyService extends IService<BytedanceReportMaterialDaily> {

    List<BytedanceReportMaterialDaily> getListByParams(String date);
    List<BytedanceVideoVo> getVideoVoByDate(String date);

    Map<String,Object> bytedanceImageCost(JSONObject data);
}
